Bug 12259 - conf.lam file not included
Summary: conf.lam file not included
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lam   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-14 15:27 UTC by Adam Lazur
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-14 15:27:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Lazur 2000-06-14 15:27:25 UTC
The conf.lam file which should be in $LAMHOME/boot is missing. This is
usually installed as part of the (IMO bassackwards) lam build/install
process.

[alazur@nelson alazur]$ export LAMHOME=/usr
[alazur@nelson alazur]$ cat bhost 
nelson
[alazur@nelson alazur]$ vi bhost
[alazur@nelson alazur]$ export LAMHOME=/usr
[alazur@nelson alazur]$ cat bhost 
localhost
[alazur@nelson alazur]$ lamboot ~/bhost

LAM 6.3.1/MPI 2 C++/ROMIO - University of Notre Dame

hboot: cannot find process schema conf.lam: No such file or directory
-----------------------------------------------------------------------------
LAM failed to fork/exec a process to launch the local LAM daemon
(lamd).  LAM first launches hboot to launch the local LAM daemon, so
several things could have gone wrong:

        - "hboot" itself could not be found (check your $PATH)
        - "hboot" failed for some reason (consult previous error messages,
          if any)
        - Too many processes exist and Unix could not fork another
-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
lamboot encountered some error (see above) during the boot process,
and will now attempt to kill all nodes that it was previously able to
boot (if any).

Please wait for LAM to finish; if you interrupt this process, you may
have LAM daemons still running on remote nodes.
-----------------------------------------------------------------------------

Comment 1 Trond Eivind Glomsrxd 2000-06-18 22:33:25 UTC
It's included now... but no need to report it doesn't work, I know. I need to
fix this badly written software soonish - their buildsystem is hopeless and
buggy.


Note You need to log in before you can comment on or make changes to this bug.